<?php
session_start();
include "../conexion.php";
$usu_id=$_SESSION['usu_id'];
if(!empty($_POST))
{
    $vent_id=$_POST['id'];
    $vent_cantidad=$_POST['vent_cantidad'];
    if(isset($_POST['serial']) && !empty($_POST['serial'])) 
    {
        $serial=$_POST['serial'];
        $valores_no_vacios=0;

        foreach($serial as $valor) 
        {
            if(!empty($valor)) 
            {
                $valores_no_vacios++;
            }
        }
        $valores_no_vacios;
        $number=$valores_no_vacios; 
    }
    else
    {
        $valores_no_vacios=0;
        $number=$valores_no_vacios;
    }
    $number;
    if ($number>$vent_cantidad)
    {
        echo '<div class="alert alert-danger alert-dismissable">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>No puedes Agregar mas seriales de la cantidad correspondiente!</strong> 
           </div>';
    }
    else
    {
        if($number > 0)  
        {  
            for($i=0; $i<$number; $i++)  
            {  
                if(trim($_POST["serial"][$i] != '') )
                $dato1=$_POST["serial"][$i];  
                {
                    $sql="INSERT INTO seriales_temp (ser_codigo,usuario,venta_detalle_temp_vent_id) VALUES('".$dato1."','$usu_id','$vent_id')";
                    mysqli_query($con, $sql);  
                } 
            }
            echo '<div class="alert alert-success alert-dismissable">
             <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>Serial!</strong> Registrado correctamente.
            </div>'; 
?>
        <script type="text/javascript">
            $('#serModal').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            loadTabla();
            loadtotal();
            loadventa();
            loadbotones();
        </script>
<?php   } 
        else
        {
            echo '<div class="alert alert-info alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>Debes selecionar '.$vent_cantidad.' serial(es)!</strong>
                </div>'; 
        }        
    }
}
?>	